Metafunction
Spec
The spec of a class.
Spec<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the spec is determined. Types: EdgeStump, FrequencyDistribution, Gaps, Graph, Holder, IdManager, Iter, Proxy, Seed, SeedSet, Segment, SimpleType, String

Remarks
The spec of a SeqAn type is the class that is used in template subclassing to specify the specialization. For example, the spec of String<char, Alloc<> > is Alloc<>.
Return Values

Type | Spec of T.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50